version: "3.7"

networks:
  mother:
    external: true

services:
    posthog:
      image: 
      environment:
        - DATABASE_URL=postgres
        - IS_BEHIND_PROXY=true
        - SITE_URL=wizard.of.galaxy.igarson.app
        - SECRET_KEY=JPpsyIuXjZr/sHmzgXl+L8DvSwLcW6asNsiEYyyXuJo=
        - TRUST_ALL_PROXIES=true
      deploy:
        update_config:
          parallelism: 1
          delay: 10s
          order: stop-first
        restart_policy:
          condition: any
          delay: 5s
          window: 120s 
        resources:
          limits:
            cpus: '1'
            memory: 500m
        replicas: 1
        mode: replicated
        placement:
          constraints:
            - node.role == worker
      volumes:
        - /etc/localtime:/etc/localtime:ro
        - /volume/poste/data:/data
      ports:
        - 9095:80
      networks:
        - mother